function ahide(elm)
{
    var x = document.getElementById(elm);
    if(x) x.style.display = 'none';
}
function show(elm)
{
    var x = document.getElementById(elm)
    if (x) x.style.display = "";
}
function val(elm)
{
    var x= document.getElementById(elm)
    if(x) return x.value; else   return 0;
}
function set_txt(elm,val)
{
    var x= document.getElementById(elm)
    if(x) x.innerHTML = val;
}
function set_val(elm,val)
{
    var x= document.getElementById(elm)
    if(x) x.value = val;
}
//this function can be used to reduce load to print dynamic marks for IP address
//IP address is printed as unsinged DWORD value and shown with the help of this
//functions.
//@param f    name of of frame
//@param ip   DWORD value of ip address.
//@param addr offset address.
function set_ip(f,ip,addr)
{
    if( f["B"+addr] == null ) return;
    f["B"+addr].value=(ip)&0xff; addr++;
    f["B"+addr].value=(ip>>8)&0xff; addr++;
    f["B"+addr].value=(ip>>16)&0xff; addr++;
    f["B"+addr].value=(ip>>24)&0xff;
}


function ioState(desc,val,num_inp,iotype,sup_val)
{
	/*
	   desc                 - description to be printed
	   val                  - byte with the first bit of the input states
	   num_inp		- number of available inputs
	   iotype: inp 		- normal input
	           out 		- normal output
	     	   sup_inp 	- supervised input (ann 155)
	           x8_out	- X8 output
	   sup_val: 		- byte with the second bit of the supervised input states
	*/

	var result = 1; 	// get the input bit
	var result2 =0;		// get the sup_input bit

	tln(desc);
	for (i=7;i>=0;i--)
	{
		if (i > num_inp - 1){
			c$="<img src=\"ioX.gif\">";
		}else{
			result = val[i]
			if (result > 0) {
				switch (iotype){
					case "inp":
						c$='<img src=\"i1.gif\">';
						break;
					case "out":
						c$='<img src=\"o1.gif\">';
						break;
					case "sup_inp":
						result2 = sup_val&(1<<i);
						if (result2 > 0){
							c$='<img src=\"i3.gif\">';
						}else{
							c$='<img src=\"i1.gif\">';
						}
						break;
				}
			}else{
				switch (iotype){
					case "inp":
						c$='<img src=\"i0.gif\">';
						break;
					case "out":
						c$='<img src=\"o0.gif\">';
						break;
					case "sup_inp":
						result2 = sup_val&(1<<i);
						if (result2 > 0){
							c$='<img src=\"i2.gif\">';
						}else{
							c$='<img src=\"i0.gif\">';
						}
						break;
				}
			}
		}
		document.write("<td  align=center class=\"val\">");
		document.write(c$);
		document.write("</td>");
	}
	tel();
}
function tln(sz$) { document.write("<tr><td width=200>"+sz$+"</td>"); }
function tel(sz$) { document.write("</tr>"); }
function ioEnum(s$)
{
	tln(s$);
	var i;
	for (i=7;i>=0;i--) document.write("<td align=center class=\"val\"><b>"+i+"</td>");
	tel();
}

function port_check_allow_zero(I)
{
  d =parseInt(I.value, 10);
  if ( !( d<65536 && d>=0) ) {
    alert('Port value is out of range [0 - 65535]');
    I.value = I.defaultValue;
  }
}
